/*
Theme Name:   Tarjeta de Mascotas
Theme URI:    https://coveid.com/pets 
Description:  Tema hijo de GeneratePress para el sitio web Tarjeta de mascotas.
Author:       Coveid Perú
Author URI:   https://coveid.com/
Template:     generatepress
Version:      1.0.0
*/
h1, h2, h3, h4, h5, h6{
	letter-spacing: -1px;
	font-weight: 600;
}
p {
    margin-bottom: 1em;
}
.home .entry-content{
	margin-top: -2.5em;
}
.home h1.entry-title {
    position: absolute;
    left: -9999px;
    top: -9999px;
    visibility: hidden;
}
h1.entry-title{
	color: var(--wp--preset--color--accent) !important;
}
.main-navigation .main-nav ul li a, .main-navigation .menu-toggle, .main-navigation .menu-bar-items {
    font-weight: 600;
}
.btn-azul a, .btn-naranja a {
    color: #fff !important;
    border-radius: 20px;
    line-height: 41px !important;
}
.btn-naranja a {
	background-color: #fd5002;
}
.btn-azul a {
	background-color: #015fb0;
}
.btn-azul a:hover {
	background-color: #004b8b;
}
.banti{
	justify-content: left;
}
.inside-article-pet{
	padding: 10px;
}
.mt-0{
	margin-top: 0;
}
.footer-widget-1 .widget_media_image{
	margin-bottom: 10px;
}
.site-header, .sombra{
	box-shadow: 0 4px 12px rgba(0, 0, 0, .15);
}
.site {
  box-shadow: 
    -4px 0 12px rgba(0, 0, 0, .15), /* sombra izquierda */
     4px 0 12px rgba(0, 0, 0, .15); /* sombra derecha */
}
.fdo-3pri{
	background-image: url("https://pipetbook.com/wp-content/uploads/2026/05/fondo-tres-pri.png");
	background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
}
.comfu{
	background-image: url("https://pipetbook.com/wp-content/uploads/2026/05/fondo-celeste-mascota.webp");
	background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
	padding: 35px 0;
}
.wp-block-media-text{
	margin-bottom: 25px;
}
.mascota-card {
  display: flex;
  flex-wrap: wrap;
  border: 1px solid #ccc;
  background: #f9f9f9;
  border-radius: 8px;
  overflow: hidden;
}
.mascota-photo{
	width: 270px;
    height: 270px;
    border-radius: 50%;
    overflow: hidden;
    margin: 0 auto;    
	box-shadow: 0 0 8px rgba(0,0,0,0.1);
	border: 3px solid #ccc;
	padding: 5px;
}
.mascota-photo img{
	width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
	border-radius: 50%;
}
.mascota-header {
  	width: 100%;
  	justify-content: space-between;
  	background: #015fb0;
  	color: #fff;
  	padding: 20px 30px;
	align-items: center;
}
.mascota-qr, .mascota-qr-movil{
	margin-top: 15px;
}
.mascota-left, .mascota-section-left, .mascota-right, .mascota-section-right {
	padding: 30px;
}
.mascota-section-descripcion{
	padding: 0 30px 30px;
}
.mascota-left, .mascota-section-left {
  width: 40%;
}
.mascota-right, .mascota-section-right {
  width: 60%;  
}
.bloctitulos{
	background-color: var(--base-2);
	padding: 15px 15px 2px;
    margin-bottom: 15px;
}
.mascota-header h2, .id-info p{
	margin-bottom: 0;
}
.sepmasco{
	margin: 10px 0 !important;
}
.mascota-right h1{
	color: #004a8b;
	margin-bottom: 0;
}
.mascota-right .hola{
	margin-bottom: 0px;
	font-weight: 600;
	font-size: x-large;
}
.mascota-subtitle {
  font-size: 1.3rem;
  color: #004a8b;
}
.mascota-section-descripcion {
	width: 100%;
  	margin-bottom: 15px;
}
.mascota-left, .mascota-photo, .mascota-section-descripcion h3{
	text-align: center;
}
.mascota-section-descripcion p{
	padding: 0 10px;
}
.mascota-gallery {
  display: grid;
  grid-template-columns: repeat(6, 1fr); /* siempre 6 columnas */
  gap: 10px;
	justify-items: center; /* centra las fotos en su celda */
}
.mascota-gallery img {
  width: 100%;
  height: auto;
	max-width: 150px; /* tamaño fijo por foto */
  border-radius: 8px;
  cursor: pointer;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  box-shadow: 0 2px 6px rgba(0,0,0,0.2);
	object-fit: cover;	
}
.mascota-gallery img:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 12px rgba(0,0,0,0.3);
}
.lb-data .lb-number {
  display: none !important;
}
ul.acf-radio-list li, ul.acf-checkbox-list li {
    font-size: 15px;
}
.plpr-50{
	padding-left: 50px;
	padding-right: 50px;
}
a.btn-editar{
	background-color: #ccc;
    padding: 15px 0;
    display: block;
    margin: 25px auto 0;
    text-align: center;
    width: 180px;
}
.masre .wp-block-group{
	gap: 0;
}
.wp-block-post-featured-image img{
	border-radius: 10px;
}
/*--.wp-block-post-excerpt__more-text{
	background-color: #f4f4f4;
    display: inline-block;
    padding: 5px 10px;
    border-radius: 5px;
    border: 1px solid #ccc;
    margin: 15px 0 0;
}--*/
.acf-basic-uploader .acf-button{
	background-color: var(--accent);
	border-radius: 5px;
}
.wpcf7-form input{
	width: 100%;
}
.widget_nav_menu ul li::marker {
    content: "› ";
    font-size: 1.2em;
}
.site-footer{
	background-image: url("https://pipetbook.com/wp-content/uploads/2026/05/fdo-pie.webp");
	background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.wp-block-rank-math-toc-block {
    padding: 25px 25px 15px;
    border: 1px solid #ccc;
    margin-bottom: 25px;
    border-radius: 12px;
}
.post-image img, .featured-image img, .wp-block-image img{
	border-radius: 15px;
}
.wp-block-buttons{
	margin-bottom: 20px;
}
ul.esblog{
	margin-left: 0;
}
.esblog .wp-block-latest-posts__post-title {
    font-weight: 600;
}
ul.esblog img{
	border-radius: 20px;
}
.esblog li{
	background: #f8f8f8;
   	padding: 30px 20px 10px;
   	border-radius: 20px;
	border: 1px solid #e2e2e2;
}
.entry-ext span.read-more a, .entry-summary a.read-more, .esblog a.read-more {
    display: block;
    border: 1px solid;
    padding: 7px 0;
    border-radius: 9999px;
    text-decoration: none;
    margin-top: 10px;
    cursor: pointer;
    width: 120px;
    text-align: center;
}
.mascota-actions a{
	display: inline-block;
	margin-bottom: 10px;
}
@media (min-width: 781px){
	.btn-naranja a {
		margin-left: 7px;
	}
	.banti .wp-block-cover__inner-container{
		width: 42%;
		left: 3%;	
	}
	.mascota-header{
		display: flex;
	}
	.mascota-gallery {
  		grid-template-columns: repeat(6, 1fr); /* 6 columnas */
	}
	.espla{
		padding-left: 20px;
		padding-right: 20px;
	}
	.mascota-qr-movil{
		display: none;
	}
	.frontend-form .acf-field-date-picker, .frontend-form .acf-field-6a0b451f7e95a, .frontend-form .acf-field-6a0b455ee34f6, .frontend-form .acf-field-6a0b433fef1aa, .frontend-form .acf-field-upload-image{
		display: inline-block;
		width: 49.8%;
	}	
	.footer-widget-1, .footer-widget-2, .footer-widget-3{
		border-right: 1px solid #67bcff54;
	}
}
/* Responsive: en móviles la foto y QR arriba */
@media (max-width: 781px) {	
	.single-mascotas .site-content{
		padding-left: 0px;
		padding-right: 0px;
		padding-top: 0px;
	} 
	.btn-naranja a {
		margin-top: 7px;
	}
	.mascota-left{
		margin-top: 20px;
	}
  .mascota-left, .mascota-section-left, .mascota-right, .mascota-section-right, .mascota-section-descripcion {
    width: 100%;
    padding: 0 15px;
  }
	.mascota-gallery {
  		grid-template-columns: repeat(2, 1fr); /* 2 columnas */
	}
 /*.mascota-qr img {
    max-width: 80%;
    height: auto;
  }*/
  .mascota-right h1, .mascota-right .hola{
    text-align: center;
  }
  .mascota-photo, .mascota-subtitle, .mascota-qr-movil {
    text-align: center;
  }
	.mascota-qr{
		display: none;
	}
	.esblog li{
		margin-right: 0px !important;
	}
}

/* Estilos solo para impresión */
/* Mantener diseño responsive en impresión */
@media print {
    body {
        -webkit-print-color-adjust: exact; /* conserva colores */
        print-color-adjust: exact;
        margin: 0;
        padding: 0;
		font-size: 14px;
    }
    .mascota-card {
        display: flex !important;
        flex-wrap: wrap !important;
        border: 1px solid #ccc;
        background: #f9f9f9;
        border-radius: 8px;
        page-break-inside: avoid;
    }
    .mascota-header {
        background: #0073aa !important;
        color: #fff !important;
        display: flex;
        justify-content: space-between;
        padding: 10px;
    }
	.mascota-left, .mascota-section-left{
		width: 40%;
	}
	.mascota-right, .mascota-section-right{
		width: 60%;
	}
    .mascota-left, .mascota-right {        
        padding: 20px;
        box-sizing: border-box;
    }
	.mascota-photo img{
    width: 260px !important;
    height: 255px !important;
    border-radius: 50% !important;
    object-fit: cover !important;
    object-position: center !important;
    display: block;
    margin: 0 auto;
  }
    .mascota-qr img {
        max-width: 100%;
        height: auto;
    }
	.mascota-qr{
		display: block;
	}
    .mascota-actions, .site-header, .site-footer, .mascota-qr h4 {
        display: none !important; /* oculta solo lo innecesario */
    }
    h2, h3 {
        font-size: 16px;
        color: #333;
    }
	.mascota-header h2{
		color: #fff;
	}
	.bloctitulos{		
		padding: 2px 15px;
	}
	.bloctitulos h3{				
		margin-bottom: 0;
	}
	.sepmasco{
		margin: 2px 0;
	}
	.mascota-gallery {
  		grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
	}
	.sepmasco{
		margin: 7px 0 !important;
	}
	.mascota-qr-movil{
		display: none;
	}
}
